# Generated by go2rpm
# Need to package flux
%bcond_with check
%bcond_without bootstrap

# https://github.com/influxdata/influxdb
%global goipath         github.com/influxdata/influxdb
Version:                2.0.3

%gometa

%global goaltipaths     github.com/influxdata/influxdb/v2

%global goipaths0       github.com/influxdata/influxdb
%global goipathsex0     github.com/influxdata/influxdb/vault

%if %{without bootstrap}
%global goipaths1       github.com/influxdata/influxdb/vault
%endif

%global common_description %{expand:
InfluxDB is an open source time series platform. This includes APIs for storing
and querying data, processing it in the background for ETL or monitoring and
alerting purposes, user dashboards, and visualizing and exploring the data and
more. The master branch on this repo now represents InfluxDB 2.0, which includes
functionality for Kapacitor (background processing) and Chronograf (the UI). If
you are looking for the 1.x line of releases, there are branches for each of
those. InfluxDB 1.8 will be the next (and likely last) release in the 1.x line
and the working branch is here.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CODING_GUIDELINES.md CONTRIBUTING.md\\\
                        DEPENDENCIES.md QUERIES.md README.md TODO.md README-*.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        Scalable datastore for metrics, events, and real-time analytics

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/andreyvit/diff)
BuildRequires:  golang(github.com/apache/arrow/go/arrow)
BuildRequires:  golang(github.com/apache/arrow/go/arrow/array)
BuildRequires:  golang(github.com/apache/arrow/go/arrow/memory)
BuildRequires:  golang(github.com/benbjohnson/clock)
BuildRequires:  golang(github.com/bouk/httprouter)
BuildRequires:  golang(github.com/buger/jsonparser)
BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(github.com/cespare/xxhash)
BuildRequires:  golang(github.com/dgrijalva/jwt-go)
BuildRequires:  golang(github.com/dgryski/go-bitstream)
BuildRequires:  golang(github.com/dustin/go-humanize)
BuildRequires:  golang(github.com/elazarl/go-bindata-assetfs)
BuildRequires:  golang(github.com/fatih/color)
BuildRequires:  golang(github.com/fujiwara/shapeio)
BuildRequires:  golang(github.com/ghodss/yaml)
BuildRequires:  golang(github.com/go-chi/chi)
BuildRequires:  golang(github.com/go-chi/chi/middleware)
BuildRequires:  golang(github.com/go-stack/stack)
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gogo/protobuf/types)
BuildRequires:  golang(github.com/golang/gddo/httputil)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/google/btree)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/google/go-github/github)
BuildRequires:  golang(github.com/google/go-jsonnet)
%if %{without bootstrap}
BuildRequires:  golang(github.com/hashicorp/vault/api)
%endif
BuildRequires:  golang(github.com/influxdata/cron)
BuildRequires:  golang(github.com/influxdata/flux)
BuildRequires:  golang(github.com/influxdata/flux/arrow)
BuildRequires:  golang(github.com/influxdata/flux/ast)
BuildRequires:  golang(github.com/influxdata/flux/ast/edit)
BuildRequires:  golang(github.com/influxdata/flux/codes)
BuildRequires:  golang(github.com/influxdata/flux/compiler)
BuildRequires:  golang(github.com/influxdata/flux/complete)
BuildRequires:  golang(github.com/influxdata/flux/csv)
BuildRequires:  golang(github.com/influxdata/flux/dependencies/filesystem)
BuildRequires:  golang(github.com/influxdata/flux/dependencies/http)
BuildRequires:  golang(github.com/influxdata/flux/dependencies/secret)
BuildRequires:  golang(github.com/influxdata/flux/dependencies/url)
BuildRequires:  golang(github.com/influxdata/flux/execute)
BuildRequires:  golang(github.com/influxdata/flux/execute/table)
BuildRequires:  golang(github.com/influxdata/flux/interpreter)
BuildRequires:  golang(github.com/influxdata/flux/iocounter)
BuildRequires:  golang(github.com/influxdata/flux/lang)
BuildRequires:  golang(github.com/influxdata/flux/memory)
BuildRequires:  golang(github.com/influxdata/flux/metadata)
BuildRequires:  golang(github.com/influxdata/flux/parser)
BuildRequires:  golang(github.com/influxdata/flux/plan)
BuildRequires:  golang(github.com/influxdata/flux/promql)
BuildRequires:  golang(github.com/influxdata/flux/runtime)
BuildRequires:  golang(github.com/influxdata/flux/semantic)
BuildRequires:  golang(github.com/influxdata/flux/stdlib)
BuildRequires:  golang(github.com/influxdata/flux/stdlib/experimental)
BuildRequires:  golang(github.com/influxdata/flux/stdlib/influxdata/influxdb)
BuildRequires:  golang(github.com/influxdata/flux/stdlib/influxdata/influxdb/v1)
BuildRequires:  golang(github.com/influxdata/flux/stdlib/kafka)
BuildRequires:  golang(github.com/influxdata/flux/stdlib/universe)
BuildRequires:  golang(github.com/influxdata/flux/values)
BuildRequires:  golang(github.com/influxdata/httprouter)
BuildRequires:  golang(github.com/influxdata/influxql)
BuildRequires:  golang(github.com/influxdata/promql/v2)
BuildRequires:  golang(github.com/influxdata/usage-client/v1)
BuildRequires:  golang(github.com/jessevdk/go-flags)
BuildRequires:  golang(github.com/jsternberg/zap-logfmt)
BuildRequires:  golang(github.com/jwilder/encoding/simple8b)
BuildRequires:  golang(github.com/mattn/go-isatty)
BuildRequires:  golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
BuildRequires:  golang(github.com/mileusna/useragent)
BuildRequires:  golang(github.com/nats-io/nats-server/v2/server)
BuildRequires:  golang(github.com/nats-io/go-nats-streaming)
BuildRequires:  golang(github.com/nats-io/nats-streaming-server/server)
BuildRequires:  golang(github.com/nats-io/nats-streaming-server/stores)
BuildRequires:  golang(github.com/NYTimes/gziphandler)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/ext)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/prometheus/common/expfmt)
BuildRequires:  golang(github.com/prometheus/common/model)
BuildRequires:  golang(github.com/prometheus/prometheus/pkg/labels)
BuildRequires:  golang(github.com/prometheus/prometheus/promql)
BuildRequires:  golang(github.com/prometheus/prometheus/storage)
BuildRequires:  golang(github.com/prometheus/prometheus/tsdb)
BuildRequires:  golang(github.com/prometheus/tsdb/wal)
BuildRequires:  golang(github.com/RoaringBitmap/roaring)
BuildRequires:  golang(github.com/satori/go.uuid)
BuildRequires:  golang(github.com/spf13/cast)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/spf13/viper)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/tcnksm/go-input)
BuildRequires:  golang(github.com/tinylib/msgp/msgp)
BuildRequires:  golang(github.com/tylerb/graceful)
BuildRequires:  golang(github.com/uber/jaeger-client-go)
BuildRequires:  golang(github.com/uber/jaeger-client-go/config)
BuildRequires:  golang(github.com/xlab/treeprint)
BuildRequires:  golang(go.etcd.io/bbolt)
BuildRequires:  golang(go.uber.org/multierr)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)
BuildRequires:  golang(go.uber.org/zap/zaptest)
BuildRequires:  golang(golang.org/x/crypto/bcrypt)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/github)
BuildRequires:  golang(golang.org/x/oauth2/heroku)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/text/encoding/ianaindex)
BuildRequires:  golang(golang.org/x/text/encoding/unicode)
BuildRequires:  golang(golang.org/x/text/transform)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(google.golang.org/api/oauth2/v2)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(gopkg.in/yaml.v3)
BuildRequires:  golang(istio.io/pkg/log)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/getkin/kin-openapi/openapi3)
BuildRequires:  golang(github.com/influxdata/flux/semantic/semantictest)
BuildRequires:  golang(github.com/opentracing/opentracing-go/mocktracer)
BuildRequires:  golang(github.com/yudai/gojsondiff)
BuildRequires:  golang(github.com/yudai/gojsondiff/formatter)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i "s|github.com/nats-io/gnatsd|github.com/nats-io/nats-server/v2|" $(find . -type f -iname "*.go")
sed -i "s|github.com/prometheus/prometheus/storage/tsdb|github.com/prometheus/prometheus/tsdb|" $(find . -type f -iname "*.go")

for cmd in telemetryd ; do
  mv cmd/$cmd/README.md README-$cmd.md
done

%if %{without bootstrap}
%build
for cmd in cmd/influx cmd/influxd cmd/telemetryd; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{with check}
%check
sed -i "s|github.com/influxdata/influxdb/v2|github.com/influxdata/influxdb|" $(find . -type f -iname "*.go")

%if %{with bootstrap}
%gocheck -d . -d vault -t cmd -d http -d query/promql/internal/promqltests -d task/backend -d pkger -d tsdb/tsm1
%else
%gocheck -d . -d http -d task/backend -d pkger -d tsdb/tsm1
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc CHANGELOG.md CODING_GUIDELINES.md CONTRIBUTING.md
%doc DEPENDENCIES.md QUERIES.md README.md TODO.md README-*.md
%{_bindir}/*
%endif

%gopkgfiles

%changelog
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 17 17:46:19 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-1
- Update to 2.0.3

* Thu Aug 06 03:23:39 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-0.10.beta.16
- Update to 2.0.0-beta.16

* Thu Aug 06 03:23:35 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-0.9.beta.12
- Fix cyclic deps caused by golang-github-axiomhq-hyperloglog

* Thu Aug 06 03:23:14 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-0.8.beta.12
- Update to 2.0.0-beta.12

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.7.beta.8
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.6.beta.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Apr 12 16:24:51 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-0.5.beta.8
- Update to 2.0.0-beta.8

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.4.alpha.16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Aug 04 23:09:02 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-0.3.alpha.16
- Release 2.0.0-alpha.16

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.2.alpha.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 23 08:42:16 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-0.1.alpha.9
- Release 2.0.0-alpha.9

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5.1-0.9.git9eab563
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5.1-0.8.git9eab563
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5.1-0.7.git9eab563
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5.1-0.6.git9eab563
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5.1-0.5.git9eab563
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 03 2017 Jan Chaloupka <jchaloup@redhat.com> - 0.9.5.1-0.4.git9eab563
- Make the ExclusiveArch more general
  resolves: #1437468

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5.1-0.3.git9eab563
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5.1-0.2.git9eab563
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun May 22 2016 jchaloup <jchaloup@redhat.com> - 0.9.5.1-0.1.git9eab563
- Update to 0.9.5.1
  related: #1250485

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-0.6.git9485e99
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-0.5.git9485e99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 24 2015 jchaloup <jchaloup@redhat.com> - 0.8.5-0.4.git9485e99
- Update spec file to spec-2.0
  resolves: #1250485

* Mon Aug 17 2015 jchaloup <jchaloup@redhat.com> - 0.8.5-0.3.git9485e99
- Update BR/R
  related: #1161618

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-0.2.git9485e99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 06 2015 jchaloup <jchaloup@redhat.com> - 0.8.5-0.1.git9485e99
- Update to 0.8.5
  resolves: #1161618

* Sun Nov 09 2014 jchaloup <jchaloup@redhat.com> - 0.8.0-0.5.rc4.git67f9869
- Choose the correct architecture
  related: #1141892
- Bump to upstream b611d020cd78886232cfa6c2ea0606b49d307ed2
  resolves: #1161618

* Tue Oct 14 2014 jchaloup <jchaloup@redhat.com> - 0.8.0-0.4.rc4.git67f9869
- Adding BR on gomdb

* Thu Oct 09 2014 jchaloup <jchaloup@redhat.com> - 0.8.0-0.3.rc4.git67f9869
- Add subpackages (client for kubernetes, datastore for databases, devel for all)
- Add dependencies (not all of them yet)
- Test still missing (missing deps and databases in Fedora), at least add them partionally later

* Mon Sep 29 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.8.0-0.2.rc4.git67f9869
- Resolves: rhbz#1141892 - initial package upload
- preserve timestamps of source copied
- gopath is provided by the golang rpm

* Wed Aug 06 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.8.0-0.1.rc4.git67f9869
- First package for Fedora.
